<?php
if (!isset($_GET['iframe']))
{
	$content = ob_get_contents();
	ob_end_clean();
	ob_start();
}

if (!isset($_GET['controller']) || empty($_GET['controller']))
{
	$_GET["controller"] = "pjListings";
}
if (!isset($_GET['action']) || empty($_GET['action']))
{
	$_GET["action"] = "pjActionIndex";
}
if(isset($pjLang))
{
	$_GET["pjLang"] = $pjLang;
}

$dirname = str_replace("\\", "/", dirname(__FILE__));
include str_replace("app/views/pjLayouts", "", $dirname) . '/ind'.'ex.php';

$meta = NULL;
$meta_arr = $pjObserver->getController()->get('meta_arr');
if ($meta_arr !== FALSE)
{
	$meta = sprintf('<title>%s</title>
<meta name="keywords" content="%s" />
<meta name="description" content="%s" />
<meta property="og:type" content="Website" />
<meta property="og:title" content="%s" />
<meta property="og:description" content="%s" />
<meta property="og:url" content="%s" />
<meta property="og:image" content="%s" />
<meta name="twitter:image:src" content="%s">',
		stripslashes($meta_arr['title']),
		htmlspecialchars(stripslashes($meta_arr['keywords'])),
		!empty($meta_arr['description']) ? htmlspecialchars(stripslashes($meta_arr['description'])) : (isset($meta_arr['body']) ? htmlspecialchars(stripslashes($meta_arr['body'])) : ''),
		isset($meta_arr['og_title']) ? stripslashes($meta_arr['og_title']) : '',
		!empty($meta_arr['description']) ? htmlspecialchars(stripslashes($meta_arr['description'])) : (isset($meta_arr['body']) ?htmlspecialchars(stripslashes($meta_arr['body'])) : ''),
		isset($meta_arr['url']) ? $meta_arr['url'] : '',
		isset($meta_arr['og_image']) ? stripslashes($meta_arr['og_image']) : '',
		isset($meta_arr['og_image']) ? stripslashes($meta_arr['og_image']) : ''
	);
}
$content = str_replace('{YP_META}', $meta, $content);

if (!isset($_GET['iframe']))
{
	$app = ob_get_contents();
	ob_end_clean();
	ob_start();
	$app = str_replace('$','&#36;',$app);
	echo preg_replace('/\{YP_LISTINGS\}/', $app, $content);
}
?>